From 56837881fc24be25955a9ca04ec1b5e87598a609 Mon Sep 17 00:00:00 2001
From: Anders Kaseorg <andersk@mit.edu>
Date: Wed, 8 Jan 2014 18:52:08 -0500
Subject: [PATCH 35/40] Fix MOSH_ESCAPE_KEY validation

Signed-off-by: Anders Kaseorg <andersk@mit.edu>
---
 src/frontend/stmclient.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/frontend/stmclient.cc b/src/frontend/stmclient.cc
index 1c12df4..cfb473a 100644
--- a/src/frontend/stmclient.cc
+++ b/src/frontend/stmclient.cc
@@ -126,7 +126,7 @@ void STMClient::init( void )
   if ( (escape_key_env = getenv( "MOSH_ESCAPE_KEY" )) != NULL ) {
     if ( strlen( escape_key_env ) == 1 ) {
       escape_key = (int)escape_key_env[0];
-      if ( (escape_key > 0) || (escape_key < 128) ) {
+      if ( escape_key > 0 && escape_key < 128 ) {
 	if ( escape_key < 32 ) {
 	  /* If escape is ctrl-something, pass it with repeating the key without ctrl. */
 	  escape_pass_key = escape_key + (int)'@';

